Bug 354711 - squidGuard CGIs should not be setuid and setgid
squidGuard CGIs should not be setuid and setgid
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: squidGuard (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: John Berninger
Fedora Extras Quality Assurance
: EasyFix, Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-26 15:31 EDT by Lubomir Kundrak
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-16 18:10:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2007-10-26 15:31:03 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Lubomir Kundrak 2007-10-26 15:32:42 EDT
Ooops, I git Enter accidentally too early.

/var/www/cgi-bin/squidGuard.cgi
/var/www/cgi-bin/squidGuard-simple.cgi

These perl scripts should not have setuid and setgid permissions set. They have
no effect on scripts anyways.
Comment 2 Lubomir Kundrak 2007-11-16 05:02:24 EST
Ping on this. I still see no reason for those permissions. You don't even depend
on setuid perl.
Comment 3 John Berninger 2007-11-16 18:10:16 EST
perms fixed in -16

Note You need to log in before you can comment on or make changes to this bug.